Bug 913821 - /usr/lib/jvm/java-1.6.0-openjdk.x86_64/jre/lib/security/nss.cfg gets overwritten on updates
Summary: /usr/lib/jvm/java-1.6.0-openjdk.x86_64/jre/lib/security/nss.cfg gets overwrit...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.6.0-openjdk
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-22 08:25 UTC by Andrew John Hughes
Modified: 2013-04-23 05:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 05:49:00 UTC


Attachments (Terms of Use)

Description Andrew John Hughes 2013-02-22 08:25:02 UTC
Description of problem:

When installing an updated version of the java-1.6.0-openjdk RPM, my existing nss.cfg file is wiped and replaced with one which breaks my setup, resulting in
java.security.ProviderException: Error parsing configuration errors.

Version-Release number of selected component (if applicable):

Both

java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64

and

java-1.7.0-openjdk-1.7.0.9-2.3.7.1.el6_3.x86_64

suffer from the issue.

How reproducible:

Edit nss.cfg then update java-1.6.0/1.7.0-openjdk

Steps to Reproduce:
1.
2.
3.
  
Actual results:

nss.cfg is overwritten by the broken version from the RPM.

Expected results:

nss.cfg is left intact. New version is provided as nss.cfg.rpmnew as with java.security.

Additional info:

Comment 2 Deepak Bhole 2013-02-22 13:35:53 UTC
Good catch. We need to make it config(noreplace).

Comment 3 jiri vanek 2013-03-25 17:13:12 UTC
Builds with fix of this were pushed to fedora.
if they will pass theirs usual QA, I'm for inclusion into next CPU for Rhel
http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/commit/?id=89e2aea2f9880efd4ad773ef9dc566225c9ae9ef


Note You need to log in before you can comment on or make changes to this bug.